Subject: bug#7870: closed (Re: bug#7870: 24.0.50; Build failure of trunk on gtk3)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Mar 2011 09:20:03 +0000

Your bug report

#7870: 24.0.50; Build failure of trunk on gtk3

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7870: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7870
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7870: 24.0.50; Build failure of trunk on gtk3
From: "Jan D." <[email-masked]>
To: [email-masked]
Date: Tue, 08 Mar 2011 10:19:08 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Closing.

	Jan D.

Subject: 24.0.50; Build failure of trunk on gtk3
From: sangu sangu <[email-masked]>
To: [email-masked]
Date: Thu, 20 Jan 2011 10:17:12 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Building with gtk3 option in recent emacs git trunk, bootstrap was failure.

$ ./configure --with-x-toolkit=gtk3
$ make bootstrap
[...]
1.0/include   -DORBIT2=1 -pthread -I/usr/include/gconf/2
-I/usr/include/orbit-2.0 -I/usr/include/glib-2.0
-I/usr/lib64/glib-2.0/include     -I/usr/include/freetype2    -MMD -MF
deps/xterm.d   -Wimplicit-function-declaration -Wold-style-definition
-Wdeclaration-after-statement -Wno-pointer-sign  -g -O2 xterm.c
xterm.c: In function 'x_set_frame_alpha':
xterm.c:449:3: warning: implicit declaration of function
'GDK_WINDOW_XWINDOW'
xterm.c: In function 'XTflash':
xterm.c:3027:5: error: 'GdkGCValues' undeclared (first use in this function)
xterm.c:3027:5: note: each undeclared identifier is reported only once for
each function it appears in
xterm.c:3027:17: error: expected ';' before 'vals'
xterm.c:3028:5: error: 'GdkGC' undeclared (first use in this function)
xterm.c:3028:12: error: 'gc' undeclared (first use in this function)
xterm.c:3029:5: error: 'vals' undeclared (first use in this function)
xterm.c:3031:21: error: 'GDK_XOR' undeclared (first use in this function)
xterm.c:3032:5: warning: implicit declaration of function
'gdk_gc_new_with_values'
xterm.c:3033:41: error: 'GDK_GC_FUNCTION' undeclared (first use in this
function)
xterm.c:3033:59: error: 'GDK_GC_FOREGROUND' undeclared (first use in this
function)
xterm.c:3084:4: warning: implicit declaration of function
'gdk_draw_rectangle'
xterm.c: In function 'x_term_init':
xterm.c:9926:15: error: expected expression before ')' token
make[2]: *** [xterm.o] Error 1
make[2]: Leaving directory `/home/sangu/git/emacs/src'
make[1]: *** [src] Error 2
make[1]: Leaving directory `/home/sangu/git/emacs'
make: *** [bootstrap] Error 2

gtk3-2.99.2-1.fc15.x86_64
glib2-2.27.91-1.fc15.x86_64